import request from '@/utils/request'

// 查询实验室进出记录列表
export function listRecord(query) {
  return request({
    url: '/laboratory/record/list',
    method: 'get',
    params: query
  })
}

// 查询实验室进出记录详细
export function getRecord(id) {
  return request({
    url: '/laboratory/record/' + id,
    method: 'get'
  })
}

// 新增实验室进出记录
export function addRecord(data) {
  return request({
    url: '/laboratory/record',
    method: 'post',
    data: data
  })
}

// 修改实验室进出记录
export function updateRecord(data) {
  return request({
    url: '/laboratory/record',
    method: 'put',
    data: data
  })
}

// 删除实验室进出记录
export function delRecord(id) {
  return request({
    url: '/laboratory/record/' + id,
    method: 'delete'
  })
}
// 查询实验室字典列表
export function subjectDictList(data) {
  return request({
    url: '/laboratory/subject/getSubjectDict',
    method: 'get',
    params: data
  })
}

// 查询我的实验室进出记录列表
export function myListRecord(query) {
  return request({
    url: '/laboratory/record/list/my',
    method: 'get',
    params: query
  })
}

//查看进出记录详情照片
export function getDetial(id) {
  return request({
    url: '/laboratory/inspection/detial/'+id,
    method: 'get',
  })
}


